@import url("https://fonts.googleapis.com/css2?family=Raleway:wght@100;200;300;400;500&display=swap");

html {
    scroll-behavior: smooth;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Raleway", sans-serif;
}
.container
{
    height: 100vh;
    width: 100%;
    position: relative;
    display: flex;
    overflow: hidden;
}
.left-col
{
    flex-basis: 40%;
    height: 100%;
    background-image: url("IMG/zamowienia-img.png");
    background-position: center;
    background-size: cover;
}
.right-col
{
    padding-top: 5%;
    padding-left: 15%;
    flex-basis: 60%;
    background-color: #F1B5CF;
    position: relative;
}
h1
{
    font-size: 3.5rem;
    font-weight: 400;
}
form {
    position: absolute;
    height: 29rem;
    max-width: 35rem;
    margin-top: 5%;
}
input {
    height: 2.8rem;
    width: 12rem;
    padding-left: 4%;
    border: none;
    border: 1.5px solid rgba(255, 255, 255, 0.28);
    background-color: transparent;
    outline: none;
    border-radius: 0.2rem;
    font-size: 1.1rem;
}

::placeholder {
    color: #000;
}

textarea {
    font-size: 1.1rem;
    padding-left: 4%;
    padding-top: 3.5%;
    border: none;
    border: 1.5px solid rgba(255, 255, 255, 0.28);
    outline: none;
    margin: 2.5rem 0;
    width: 28rem;
    height: 10rem;
    background-color: transparent;
    margin-bottom: 10%;
}
form button {
    width: 28rem;
    height: 3rem;
    background-color: #000;
    color: #fff;
    margin-top: 12%;
    font-size: 1.3rem;
    cursor: pointer;
}

input[type="file"] {
    display: none;
}
input[type="email"] {
    margin-left: 10%;
}
label {
    cursor: pointer;
}

.upload {
    border-bottom: 2px solid rgba(255, 255, 255, 0.28);
}

#fileChosen {
    font-size: 0.7rem;
    margin-left: 2%;
}
select
{
    margin-left: 8%;
    background-color: transparent;
    border: 1.5px solid rgba(255, 255, 255, 0.28);
    border-radius: 0.2rem;
    height: 2.8rem;
    width: 12rem;
    outline: none;
    padding: 0 0.5rem;
    font-size: 1.1rem;
}
@media only screen and (min-width: 365px) and (max-width: 388px)
{
    .container
    {
        flex-direction: column;
        height: 125vh;
    }
    h1
    {
        font-size: 2.2rem;
    }
    .right-col
    {
        padding-left: 8%;
    }
    input
    {
        height: 2rem;
        width: 8rem;
        font-size: .8rem;
    }
    textarea
    {
        width: 19rem;
        height: 8rem;
        font-size: .8rem
    }
    select
    {
        height: 2rem;
        width: 8rem;
        margin-left: 0%;
    }
    select
    {
        font-size: 0.7rem;
    }
    .upload
    {
        font-size: .9rem;
    }
    #fileChosen
    {
        font-size: .5rem;
    }
    #submitBtn
    {
        width: 19rem;
    }
}
@media only screen and (min-width: 359px) and (max-width: 364px)
{
    .container
    {
        flex-direction: column;
        height: 125vh;
    }
    h1
    {
        font-size: 2.2rem;
    }
    .right-col
    {
        padding-top: 15%;
        padding-left: 8%;
    }
    input
    {
        height: 2rem;
        width: 7.5rem;
        font-size: .8rem;
        margin-right: 1.5rem;
    }
    textarea
    {
        width: 19rem;
        height: 8rem;
        font-size: .8rem
    }
    select
    {
        height: 2rem;
        width: 8rem;
        margin-left: 0%;
    }
    select
    {
        font-size: 0.7rem;
    }
    .upload
    {
        font-size: .9rem;
    }
    #fileChosen
    {
        font-size: .5rem;
    }
    #submitBtn
    {
        width: 19rem;
    }
}
@media only screen  and (min-width: 410px)  and (max-width: 440px)
{
    .container
    {
        flex-direction: column;
        height: 100vh;
    }
    h1
    {
        font-size: 2.2rem;
    }
    .right-col
    {
        padding-top: 15%;
        padding-left: 8%;
    }
    input
    {
        height: 2rem;
        width: 8rem;
        font-size: .8rem;
    }
    textarea
    {
        width: 19rem;
        height: 8rem;
        font-size: .8rem
    }
    select
    {
        height: 2rem;
        width: 8rem;
        margin-left: 0%;
    }
    select
    {
        font-size: 0.7rem;
    }
    .upload
    {
        font-size: .9rem;
    }
    #fileChosen
    {
        font-size: .5rem;
    }
    #submitBtn
    {
        width: 19rem;
    }
}
@media only screen and (min-width: 389px) and (max-width: 420px) {
    .container
    {
        flex-direction: column;
        height: 100vh;
    }
    h1
    {
        font-size: 2.2rem;
    }
    .right-col
    {
        padding-top: 15%;
        padding-left: 8%;
    }
    input
    {
        height: 2rem;
        width: 8rem;
        font-size: .8rem;
    }
    textarea
    {
        width: 19rem;
        height: 8rem;
        font-size: .8rem
    }
    select
    {
        height: 2rem;
        width: 8rem;
        margin-left: 0%;
    }
    select
    {
        font-size: 0.7rem;
    }
    .upload
    {
        font-size: .9rem;
    }
    #fileChosen
    {
        font-size: .5rem;
    }
    #submitBtn
    {
        width: 19rem;
    }
}
@media only screen and (min-width: 280px) and (max-width: 330px)
{
    .container
    {
        flex-direction: column;
        height: 130vh;
    }
    h1
    {
        font-size: 2rem;
        margin-bottom: 1.2rem;
    }
    .right-col
    {
        padding-top: 10%;
        padding-left: 8%;
    }
    input
    {
        height: 2rem;
        width: 6.5rem;
        font-size: .8rem;
    }
    textarea
    {
        width: 15rem;
        height: 8rem;
        font-size: .8rem
    }
    select
    {
        height: 2rem;
        width: 8rem;
        margin-left: 0%;
    }
    select
    {
        font-size: 0.7rem;
        margin-top: 1.7rem;
    }
    .upload
    {
        font-size: .9rem;
    }
    #fileChosen
    {
        font-size: .5rem;
    }
    #submitBtn
    {
        width: 15rem;
        margin-top: 1.7rem;
    }
}
@media only screen and (min-width: 1910px) and (max-width: 2000px)
{
    h1
    {
        font-size: 4rem;
        margin-bottom: 1.2rem;
    }
    .right-col
    {
        padding-top: 10%;
    }
    input
    {
        height: 4rem;
        width: 12rem;
        font-size: 1.2rem;
    }
    textarea
    {
        font-size: 1.2rem;
        height: 10rem;
    }
    #submitBtn
    {
        height: 4rem;
        font-size: 1.7rem;
    }
}
@media only screen and (min-width: 1366px) and (max-width: 1500px)
{
   
    .right-col
    {
        padding-top: 8%;
        padding-left: 15%;
    } 
}
@media only screen and (min-width: 481px) and (max-width: 768px)
{
    .container
    {
        flex-direction: column;
        height: 110vh;
    }
    h1
    {
        font-size: 2.2rem;
    }
    .right-col
    {
        padding-top: 8%;
        padding-left: 16%;
    }
    input
    {
        height: 2rem;
        width: 8rem;
        font-size: .8rem;
    }
    textarea
    {
        width: 19rem;
        height: 8rem;
        font-size: .8rem
    }
    select
    {
        height: 2rem;
        width: 8rem;
        margin-left: 0%;
    }
    select
    {
        font-size: 0.7rem;
    }
    .upload
    {
        font-size: .9rem;
    }
    #fileChosen
    {
        font-size: .5rem;
    }
    #submitBtn
    {
        width: 19rem;
    }
}
@media only screen and (min-width: 810px) and (max-width: 910px)
{
    .container
    {
        flex-direction: column;
        height: 100vh;
    }
    h1
    {
        font-size: 3rem;
    }
    .right-col
    {
        padding-top: 10%;
        padding-left: 28%;
    }
    input
    {
        height: 3rem;
        width: 10rem;
        font-size: .8rem;
    }
    textarea
    {
        width: 23.5rem;
        height: 8rem;
        font-size: .8rem
    }
    select
    {
        height: 2rem;
        width: 8rem;
        margin-left: 12%;
        font-size: 0.7rem;
    }
    .upload
    {
        font-size: .9rem;
    }
    #fileChosen
    {
        font-size: .5rem;
    }
    #submitBtn
    {
        width: 23.5rem;
    }
}